

//从原先的mobilepc.js搬过来by许钟文 


var os = function() {
     var ua = navigator.userAgent,
     isWindowsPhone = /(?:Windows Phone)/.test(ua),
     isSymbian = /(?:SymbianOS)/.test(ua) || isWindowsPhone, 
     isAndroid = /(?:Android)/.test(ua), 
     isFireFox = /(?:Firefox)/.test(ua), 
     isChrome = /(?:Chrome|CriOS)/.test(ua),
     isTablet = /(?:iPad|PlayBook)/.test(ua) || (isAndroid && !/(?:Mobile)/.test(ua)) || (isFireFox && /(?:Tablet)/.test(ua)),
     isPhone = /(?:iPhone)/.test(ua) && !isTablet,
     isPc = !isPhone && !isAndroid && !isSymbian;
     return {
          isTablet: isTablet,
          isPhone: isPhone,
          isAndroid : isAndroid,
          isPc : isPc
     };
}();

function isMobilePc()//在展示页面里，平板视为电脑版
{
	//是移动端
	if(os.isAndroid || os.isPhone){
		return 1;
	}
	//是pc
	else if(os.isPc || os.isTablet)
	{
		return 2;
	}
	//出错
	else
	{
		return 0;
	}
}




function isMobilePcForEdit()//在编辑页面里，平板视为手机版
{
	//是移动端
	if(os.isAndroid || os.isPhone || os.isTablet){
		return 1;
	}
	//是pc
	else if(os.isPc)
	{
		return 2;
	}
	//出错
	else
	{
		return 0;
	}
}



var DetectBrowser = {
	isMobilePc : isMobilePc,
	isMobilePcForEdit : isMobilePcForEdit
};

 
